Home
Support Forums

Netlify plugin failed

4:53:48 PM: production
4:53:48 PM: ​
4:53:48 PM: ❯ Installing plugins
4:53:48 PM: - @netlify/plugin-nextjs@3.4.2
4:55:48 PM: ​
4:55:48 PM: ────────────────────────────────────────────────────────────────
4:55:48 PM: Dependencies installation error
4:55:48 PM: ────────────────────────────────────────────────────────────────
4:55:48 PM: ​
4:55:48 PM: Error message
4:55:48 PM: Error while installing dependencies in /opt/build/repo/.netlify/plugins/
4:55:48 PM: npm WARN optional dep failed, continuing fsevents@2.3.2
4:55:48 PM: ​
4:55:48 PM: > node-addon-api@3.2.1 install /opt/build/repo/.netlify/plugins/node_modules/@netlify/plugin-nextjs/node_modules/sharp/node_modules/node-addon-api
4:55:48 PM: > node-gyp rebuild
4:55:48 PM: ​
4:55:48 PM: gyp: binding.gyp not found (cwd: /opt/build/repo/.netlify/plugins/node_modules/@netlify/plugin-nextjs/node_modules/sharp/node_modules/node-addon-api) while trying to load binding.gyp
4:55:48 PM: gyp ERR! configure error
4:55:48 PM: gyp ERR! stack Error: gyp failed with exit code: 1

Would you try deleting package-lock.json from your repo and see if it helps?